package nccloud.web.hrwa.paydata.action;

import com.alibaba.fastjson.JSONObject;

import nc.itf.hr.wa.IPaydataExService;
import nc.itf.hr.wa.IPaydataManageService;
import nc.vo.pub.BusinessException;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.wa.paydata.DataVO;
import nc.vo.wa.pub.WaLoginContext;
import nccloud.framework.service.ServiceLocator;
import nccloud.framework.web.container.IRequest;
import nccloud.web.hr.pub.HRCommonAction;
import nccloud.web.hr.pub.HRNccTemplateUtils;
import nccloud.web.hrwa.helper.WaLoginContextUtils;
import nccloud.web.hrwa.pub.WaClassState;
import nccloud.web.uapbd.commons.web.ParamUtils;

/**
 * 
 * <p>
 * {@link nc.ui.wa.paydata.action.CheckAction}
 * </p>
 * 
 * @author liuyuan
 * @date 2018-5-22
 */
public class SendMsgAction extends HRCommonAction {

	/**
	 * 
	 * 
	 * @param arg0
	 *            yearperiodpk_orgnode_type
	 * @param isRangeAll
	 *            Ƿʱȫ㣬trueΪȫ㣬falseΪּ
	 * @return
	 * @throws BusinessException
	 */
	@Override
	public <T> Object execute(IRequest request, T para) throws Exception {

		JSONObject result = new JSONObject();
		result.put("status", 200);
		ParamUtils param = new ParamUtils(request);
		boolean isRangeAll = UFBoolean.valueOf(param.getString("isRangeAll", "true")).booleanValue();
		boolean sure = param.getBoolean("sure", false);
		IPaydataManageService service = ServiceLocator.find(IPaydataManageService.class);

		WaLoginContext loginContext = WaLoginContextUtils.getWaLoginContext(param);
		// жнʵ״̬Ƿ˸ı20200410
//		new WaClassState().validateWaClassStatus(loginContext, "check");
		// ǰҳݣʱУ
		JSONObject jo = JSONObject.parseObject(request.read());
		DataVO[] dataVos = HRNccTemplateUtils.getVOFromGrid(DataVO.class, jo.getString("modelInfo"));
		String whereCondition = isRangeAll ? null : WaPaydataQueryHelper.getWhereCondition(param);

		IPaydataExService serviceEx = ServiceLocator.find(IPaydataExService.class);
		//жѾ
		Boolean checkFlag = serviceEx.checkPeriodstate(loginContext.getWaLoginVO());
//		checkFlag = Boolean.TRUE;
		if (checkFlag) {
			//Ա֪ͨ
			serviceEx.onSendMsg(loginContext.getWaLoginVO(), whereCondition);
			result.put("msg", "ͳɹ");
			return result;

		}
		throw new BusinessException("нδţϢ");
	}

}
