package nc.itf.hr.wa;

import java.util.Map;

import nc.vo.pub.BusinessException;
import nc.vo.uif2.LoginContext;
import nc.vo.wa.paydata.DataSVO;
import nc.vo.wa.paydata.DataVO;
import nc.vo.wa.payslip.MyPayslipVO;
import nc.vo.wa.pub.WaLoginContext;
import nc.vo.wa.pub.WaLoginVO;

public interface IPaydataExService {
	
	/**
	 * Ա֪ͨ
	 * @param waLoginVO
	 * @param whereCondition
	 * @throws nc.vo.pub.BusinessException
	 */
	public void onSendMsg(WaLoginVO waLoginVO, String whereCondition) throws nc.vo.pub.BusinessException;
	
	/**
	 * жϷǷѷ
	 * @param waLoginVO
	 * @return
	 * @throws nc.vo.pub.BusinessException
	 */
	public Boolean checkPeriodstate(WaLoginVO waLoginVO) throws nc.vo.pub.BusinessException;
	
	/**
	 * ѯн
	 * @param pk_wa_data
	 * @return
	 * @throws nc.vo.pub.BusinessException
	 */
	public DataVO queryWaData(String pk_wa_data) throws nc.vo.pub.BusinessException;
	
	/**
	 * ѯsqlֵ
	 * @param sql
	 * @return
	 * @throws nc.vo.pub.BusinessException
	 */
	public Map<String,Object> querySql(String sql) throws nc.vo.pub.BusinessException;
	
	/**
	 * ˵ѯ
	 * @param loginContext
	 * @return
	 * @throws BusinessException
	 */
	public DataSVO[] getDataSVOs(WaLoginContext loginContext) throws BusinessException;
}
